Bug 708330 - liberations-sans italic and bold italic contain wrong shape at U+0438 and U+0439
liberations-sans italic and bold italic contain wrong shape at U+0438 and U+0439
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 06:12 EDT by Pravin Satpute
Modified: 2012-03-06 14:38 EST (History)
5 users (show)

See Also:
Fixed In Version: liberation-fonts-1.07.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 14:38:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2011-05-27 06:12:20 EDT
Description of problem:
liberations-sans italic and bold italic contain wrong shape at U+0438 and U+0439


Version-Release number of selected component (if applicable):
liberation-sans-fonts-1.06.0.20100721-5.fc15.noarch

How reproducible:
everytime

Steps to Reproduce:
1. type и й 
2.  change font from regular to italic or bold-italic
3.
  
Actual results:
'U' is got pasted instead of proper character

Expected results:
shape should be same

Additional info:
Comment 1 Pravin Satpute 2011-05-27 14:13:41 EDT
SansNarrow and Serif also has the same problem
Comment 2 Fedora Update System 2011-05-30 07:28:04 EDT
liberation-fonts-1.07.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.0-1.fc15
Comment 3 Fedora Update System 2011-05-30 18:28:52 EDT
Package liberation-fonts-1.07.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liberation-fonts-1.07.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.0-1.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-06-08 20:05:56 EDT
liberation-fonts-1.07.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Yuri Khan 2011-12-14 10:28:06 EST
Hello there,

in fact, the correct italic shape of U+0438 Cyrillic small letter I looks pretty much like that of Latin small letter U, and the shape of U+0439 Cyrillic small letter Short I is the same as Cyrillic small letter I with breve. [Prooflink: http://commons.wikimedia.org/wiki/File:Cyrillic-italics-nonitalics.png]

So, with all due respect, please revert that particular change, in all three fonts.

Also on the topic of Cyrillic italics, U+043F Cyrillic small letter Pe should look like Latin small letter N when italicized. Affects Sans and SansNarrow but not Serif. Tested on 1.07.0-1 in Ubuntu 11.10. Shall I file a separate bug about it?
Comment 6 Pravin Satpute 2011-12-19 05:49:46 EST
ohh yeah,

i was not aware of this until https://bugzilla.redhat.com/show_bug.cgi?id=657849#c31


i will do this changes
Comment 7 Pravin Satpute 2012-01-27 06:16:03 EST
resolved and committed in upstream will be available with next upstream release
Comment 8 Fedora Update System 2012-02-09 03:45:07 EST
liberation-fonts-1.07.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.2-1.fc16
Comment 9 Fedora Update System 2012-02-09 19:55:51 EST
Package liberation-fonts-1.07.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liberation-fonts-1.07.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1501/liberation-fonts-1.07.2-1.fc16
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-02-13 11:04:01 EST
liberation-fonts-1.07.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.2-2.fc16
Comment 11 Fedora Update System 2012-03-06 14:38:59 EST
liberation-fonts-1.07.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.